#nxsetup 1.1.1: following lines are added by rpm setup script of nxserver or nxworkstation, please don't modify this comments.
############################################################################
#                                                                          #
#  Copyright (c) 2001, 2006 NoMachine, http://www.nomachine.com.            #
#                                                                          #
#  NXSERVER, NX protocol compression and NX extensions to this software    #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of Medialogic S.p.A.                    #
#                                                                          #
#  All rigths reserved.                                                    #
#                                                                          #
############################################################################
ice_dir=/tmp/.ICE-unix;
x11_dir=/tmp/.X11-unix;

for dirname in $ice_dir $x11_dir ; do
{
  if (! [ -d $dirname ] )
  then
    mkdir $dirname
    if [ $? != 0 ];
    then
      echo "Warning: $0: cannot mkdir $dirname";
    fi
  fi

  if (! [ -O $dirname ] )
  then
    chown root:root $dirname
    if [ $? != 0 ];
    then
      echo "Warning: $0: cannot chown $dirname";
    fi
  fi

  chmod 1777 $dirname
  if [ $? != 0 ];
  then
    echo "Warning: $0: cannot chmod $dirname to 1777";
  fi
}
done

#end nxsetup 1.1.1
